# streambuf File Reference

## Detailed Description

This is a Standard C++ Library header.

Definition in file streambuf.

Go to the source code of this file.

## Namespaces

- namespace std

## Classes

- class std::basic_streambuf< _CharT, _Traits >
    The actual work of input and output (interface). More...

## Defines

- #define _GLIBXX_STREAMBUF

## Functions

- template<> streamsize std::__copy_streambufs_eof (basic_streambuf< wchar_t > *__sbin, basic_streambuf< wchar_t > *__sbout, bool &__ineof)
- template<> streamsize std::__copy_streambufs_eof (basic_streambuf< char > *__sbin, basic_streambuf< char > *__sbout, bool &__ineof)
- template<typename _CharT, typename _Traits> streamsize std::__copy_streambufs_eof (basic_streambuf< _CharT, _Traits > *, basic_streambuf< _CharT, _Traits > *, bool &)